#include <stdlib.h>
#include <stdio.h>
#include <string.h>

char _PROG_NAME[]= "RemCR" ;
#define PROGRAM_VERSION "0.10"

void help() {

  /* Display the options */

  printf("\nRemCR v%s (c) Adrian D. Ives\n\n", PROGRAM_VERSION) ;

  printf("Remove CRs from the text stream on stdin, and send to stdout.\n\n") ;

}

main(int argc, char **argv) {

  int i ;

  for ( i= 1 ; i <= argc - 1 ; i++ ) {
    if ( argv[i][0] == '-' ) {
      switch( argv[i][1] ) {
	case  0  :
	case '?' :
	  help() ;
	  return 0 ;
      }
    }
  }

  while ( !feof(stdin) ) {

    char ch ;

    ch= fgetc(stdin) ;

    if ( ch > 0 ) {
      if ( ch != '\r' )
	fputc(ch, stdout) ;
    }

  }

  return 0 ;
}
